### Method

# Fwupd Device set_battery_level

since: 1.8.1

#### Declaration [src]

    void
    fwupd_device_set_battery_level (
      FwupdDevice* self,
      guint32 battery_level
    )

#### Description [src]

Sets the battery level, or `FWUPD_BATTERY_LEVEL_INVALID`.

Setting this allows fwupd to show a warning if the device change is too low to perform the update.

Available since: 1.8.1

Sets property | `Fwupd.Device:battery-level`

#### Parameters

`battery_level`

  Type: `guint32`

  The percentage value.